#include<stdio.h>
#include<stdlib.h>

int main()
{
    int a, b;
    scanf("%d%d", &a, &b);
    int stepen = 1;
    int novibroj = 0;
    while(a>0 || b>0)
    {
        if((a%10)>(b%10))
        {
            novibroj = novibroj + stepen * (a%10);
        }
        else
        {
            if(((a%10) == (b%10))&&(a >0)&&(b>0))
            {
                novibroj = novibroj + stepen * (b%10);
                stepen = stepen * 10;
                novibroj = novibroj + stepen * (a%10);
            }
            else{
            novibroj = novibroj + stepen * (b%10);
            }
        }
        a = a/10;
        b = b/10;
        stepen = stepen * 10;
    }
    printf("%d", novibroj);
}